#ifndef BOUNDARYELEMENTEDGEDIST_H
#define BOUNDARYELEMENTEDGEDIST_H

#include "ElInfo.h"
#include "FixVec.h"

#include "ElementLevelSet.h"

#include "BoundaryElementDist.h"

using namespace AMDiS;

class BoundaryElementEdgeDist : public BoundaryElementDist
{
public:

  BoundaryElementEdgeDist(ElementLevelSet *elLS_,
			  int dim_)
    : BoundaryElementDist(elLS_, dim_)
  {}

  /**
   * Calculates distance from the interface for all vertices of a boundary 
   * element.
   * Distance is here the distance along edges.
   *
   * Return value: Status of element elInfo.
   */
  int calcDistOnBoundaryElement(ElInfo *elInfo,
				FixVec<double, VERTEX> &dVec);
};

#endif  // BOUNDARYELEMENTEDGEDIST_H
